Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
233.128.0.0
Broadcast address
233.255.255.255
First usable
233.128.0.1
Last usable
233.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9800000 · Integer 3917479936 to 3925868543
Reverse DNS zones
128.233.in-addr.arpa
129.233.in-addr.arpa
130.233.in-addr.arpa
131.233.in-addr.arpa
132.233.in-addr.arpa
133.233.in-addr.arpa
134.233.in-addr.arpa
135.233.in-addr.arpa
136.233.in-addr.arpa
137.233.in-addr.arpa
138.233.in-addr.arpa
139.233.in-addr.arpa
140.233.in-addr.arpa
141.233.in-addr.arpa
142.233.in-addr.arpa
143.233.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.10000000.00000000.00000000233.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11101001.10000000.00000000.00000000233.128.0.0
Broadcast11101001.11111111.11111111.11111111233.255.255.255
Split into smaller subnets/16

233.128.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.128.0.0/16233.128.0.1 to 233.128.255.254233.128.255.25565,534
2233.129.0.0/16233.129.0.1 to 233.129.255.254233.129.255.25565,534
3233.130.0.0/16233.130.0.1 to 233.130.255.254233.130.255.25565,534
4233.131.0.0/16233.131.0.1 to 233.131.255.254233.131.255.25565,534
5233.132.0.0/16233.132.0.1 to 233.132.255.254233.132.255.25565,534
6233.133.0.0/16233.133.0.1 to 233.133.255.254233.133.255.25565,534
7233.134.0.0/16233.134.0.1 to 233.134.255.254233.134.255.25565,534
8233.135.0.0/16233.135.0.1 to 233.135.255.254233.135.255.25565,534
9233.136.0.0/16233.136.0.1 to 233.136.255.254233.136.255.25565,534
10233.137.0.0/16233.137.0.1 to 233.137.255.254233.137.255.25565,534
11233.138.0.0/16233.138.0.1 to 233.138.255.254233.138.255.25565,534
12233.139.0.0/16233.139.0.1 to 233.139.255.254233.139.255.25565,534
13233.140.0.0/16233.140.0.1 to 233.140.255.254233.140.255.25565,534
14233.141.0.0/16233.141.0.1 to 233.141.255.254233.141.255.25565,534
15233.142.0.0/16233.142.0.1 to 233.142.255.254233.142.255.25565,534
16233.143.0.0/16233.143.0.1 to 233.143.255.254233.143.255.25565,534
17233.144.0.0/16233.144.0.1 to 233.144.255.254233.144.255.25565,534
18233.145.0.0/16233.145.0.1 to 233.145.255.254233.145.255.25565,534
19233.146.0.0/16233.146.0.1 to 233.146.255.254233.146.255.25565,534
20233.147.0.0/16233.147.0.1 to 233.147.255.254233.147.255.25565,534
21233.148.0.0/16233.148.0.1 to 233.148.255.254233.148.255.25565,534
22233.149.0.0/16233.149.0.1 to 233.149.255.254233.149.255.25565,534
23233.150.0.0/16233.150.0.1 to 233.150.255.254233.150.255.25565,534
24233.151.0.0/16233.151.0.1 to 233.151.255.254233.151.255.25565,534
25233.152.0.0/16233.152.0.1 to 233.152.255.254233.152.255.25565,534
26233.153.0.0/16233.153.0.1 to 233.153.255.254233.153.255.25565,534
27233.154.0.0/16233.154.0.1 to 233.154.255.254233.154.255.25565,534
28233.155.0.0/16233.155.0.1 to 233.155.255.254233.155.255.25565,534
29233.156.0.0/16233.156.0.1 to 233.156.255.254233.156.255.25565,534
30233.157.0.0/16233.157.0.1 to 233.157.255.254233.157.255.25565,534
31233.158.0.0/16233.158.0.1 to 233.158.255.254233.158.255.25565,534
32233.159.0.0/16233.159.0.1 to 233.159.255.254233.159.255.25565,534
33233.160.0.0/16233.160.0.1 to 233.160.255.254233.160.255.25565,534
34233.161.0.0/16233.161.0.1 to 233.161.255.254233.161.255.25565,534
35233.162.0.0/16233.162.0.1 to 233.162.255.254233.162.255.25565,534
36233.163.0.0/16233.163.0.1 to 233.163.255.254233.163.255.25565,534
37233.164.0.0/16233.164.0.1 to 233.164.255.254233.164.255.25565,534
38233.165.0.0/16233.165.0.1 to 233.165.255.254233.165.255.25565,534
39233.166.0.0/16233.166.0.1 to 233.166.255.254233.166.255.25565,534
40233.167.0.0/16233.167.0.1 to 233.167.255.254233.167.255.25565,534
41233.168.0.0/16233.168.0.1 to 233.168.255.254233.168.255.25565,534
42233.169.0.0/16233.169.0.1 to 233.169.255.254233.169.255.25565,534
43233.170.0.0/16233.170.0.1 to 233.170.255.254233.170.255.25565,534
44233.171.0.0/16233.171.0.1 to 233.171.255.254233.171.255.25565,534
45233.172.0.0/16233.172.0.1 to 233.172.255.254233.172.255.25565,534
46233.173.0.0/16233.173.0.1 to 233.173.255.254233.173.255.25565,534
47233.174.0.0/16233.174.0.1 to 233.174.255.254233.174.255.25565,534
48233.175.0.0/16233.175.0.1 to 233.175.255.254233.175.255.25565,534
49233.176.0.0/16233.176.0.1 to 233.176.255.254233.176.255.25565,534
50233.177.0.0/16233.177.0.1 to 233.177.255.254233.177.255.25565,534
51233.178.0.0/16233.178.0.1 to 233.178.255.254233.178.255.25565,534
52233.179.0.0/16233.179.0.1 to 233.179.255.254233.179.255.25565,534
53233.180.0.0/16233.180.0.1 to 233.180.255.254233.180.255.25565,534
54233.181.0.0/16233.181.0.1 to 233.181.255.254233.181.255.25565,534
55233.182.0.0/16233.182.0.1 to 233.182.255.254233.182.255.25565,534
56233.183.0.0/16233.183.0.1 to 233.183.255.254233.183.255.25565,534
57233.184.0.0/16233.184.0.1 to 233.184.255.254233.184.255.25565,534
58233.185.0.0/16233.185.0.1 to 233.185.255.254233.185.255.25565,534
59233.186.0.0/16233.186.0.1 to 233.186.255.254233.186.255.25565,534
60233.187.0.0/16233.187.0.1 to 233.187.255.254233.187.255.25565,534
61233.188.0.0/16233.188.0.1 to 233.188.255.254233.188.255.25565,534
62233.189.0.0/16233.189.0.1 to 233.189.255.254233.189.255.25565,534
63233.190.0.0/16233.190.0.1 to 233.190.255.254233.190.255.25565,534
64233.191.0.0/16233.191.0.1 to 233.191.255.254233.191.255.25565,534
65233.192.0.0/16233.192.0.1 to 233.192.255.254233.192.255.25565,534
66233.193.0.0/16233.193.0.1 to 233.193.255.254233.193.255.25565,534
67233.194.0.0/16233.194.0.1 to 233.194.255.254233.194.255.25565,534
68233.195.0.0/16233.195.0.1 to 233.195.255.254233.195.255.25565,534
69233.196.0.0/16233.196.0.1 to 233.196.255.254233.196.255.25565,534
70233.197.0.0/16233.197.0.1 to 233.197.255.254233.197.255.25565,534
71233.198.0.0/16233.198.0.1 to 233.198.255.254233.198.255.25565,534
72233.199.0.0/16233.199.0.1 to 233.199.255.254233.199.255.25565,534
73233.200.0.0/16233.200.0.1 to 233.200.255.254233.200.255.25565,534
74233.201.0.0/16233.201.0.1 to 233.201.255.254233.201.255.25565,534
75233.202.0.0/16233.202.0.1 to 233.202.255.254233.202.255.25565,534
76233.203.0.0/16233.203.0.1 to 233.203.255.254233.203.255.25565,534
77233.204.0.0/16233.204.0.1 to 233.204.255.254233.204.255.25565,534
78233.205.0.0/16233.205.0.1 to 233.205.255.254233.205.255.25565,534
79233.206.0.0/16233.206.0.1 to 233.206.255.254233.206.255.25565,534
80233.207.0.0/16233.207.0.1 to 233.207.255.254233.207.255.25565,534
81233.208.0.0/16233.208.0.1 to 233.208.255.254233.208.255.25565,534
82233.209.0.0/16233.209.0.1 to 233.209.255.254233.209.255.25565,534
83233.210.0.0/16233.210.0.1 to 233.210.255.254233.210.255.25565,534
84233.211.0.0/16233.211.0.1 to 233.211.255.254233.211.255.25565,534
85233.212.0.0/16233.212.0.1 to 233.212.255.254233.212.255.25565,534
86233.213.0.0/16233.213.0.1 to 233.213.255.254233.213.255.25565,534
87233.214.0.0/16233.214.0.1 to 233.214.255.254233.214.255.25565,534
88233.215.0.0/16233.215.0.1 to 233.215.255.254233.215.255.25565,534
89233.216.0.0/16233.216.0.1 to 233.216.255.254233.216.255.25565,534
90233.217.0.0/16233.217.0.1 to 233.217.255.254233.217.255.25565,534
91233.218.0.0/16233.218.0.1 to 233.218.255.254233.218.255.25565,534
92233.219.0.0/16233.219.0.1 to 233.219.255.254233.219.255.25565,534
93233.220.0.0/16233.220.0.1 to 233.220.255.254233.220.255.25565,534
94233.221.0.0/16233.221.0.1 to 233.221.255.254233.221.255.25565,534
95233.222.0.0/16233.222.0.1 to 233.222.255.254233.222.255.25565,534
96233.223.0.0/16233.223.0.1 to 233.223.255.254233.223.255.25565,534
97233.224.0.0/16233.224.0.1 to 233.224.255.254233.224.255.25565,534
98233.225.0.0/16233.225.0.1 to 233.225.255.254233.225.255.25565,534
99233.226.0.0/16233.226.0.1 to 233.226.255.254233.226.255.25565,534
100233.227.0.0/16233.227.0.1 to 233.227.255.254233.227.255.25565,534
101233.228.0.0/16233.228.0.1 to 233.228.255.254233.228.255.25565,534
102233.229.0.0/16233.229.0.1 to 233.229.255.254233.229.255.25565,534
103233.230.0.0/16233.230.0.1 to 233.230.255.254233.230.255.25565,534
104233.231.0.0/16233.231.0.1 to 233.231.255.254233.231.255.25565,534
105233.232.0.0/16233.232.0.1 to 233.232.255.254233.232.255.25565,534
106233.233.0.0/16233.233.0.1 to 233.233.255.254233.233.255.25565,534
107233.234.0.0/16233.234.0.1 to 233.234.255.254233.234.255.25565,534
108233.235.0.0/16233.235.0.1 to 233.235.255.254233.235.255.25565,534
109233.236.0.0/16233.236.0.1 to 233.236.255.254233.236.255.25565,534
110233.237.0.0/16233.237.0.1 to 233.237.255.254233.237.255.25565,534
111233.238.0.0/16233.238.0.1 to 233.238.255.254233.238.255.25565,534
112233.239.0.0/16233.239.0.1 to 233.239.255.254233.239.255.25565,534
113233.240.0.0/16233.240.0.1 to 233.240.255.254233.240.255.25565,534
114233.241.0.0/16233.241.0.1 to 233.241.255.254233.241.255.25565,534
115233.242.0.0/16233.242.0.1 to 233.242.255.254233.242.255.25565,534
116233.243.0.0/16233.243.0.1 to 233.243.255.254233.243.255.25565,534
117233.244.0.0/16233.244.0.1 to 233.244.255.254233.244.255.25565,534
118233.245.0.0/16233.245.0.1 to 233.245.255.254233.245.255.25565,534
119233.246.0.0/16233.246.0.1 to 233.246.255.254233.246.255.25565,534
120233.247.0.0/16233.247.0.1 to 233.247.255.254233.247.255.25565,534
121233.248.0.0/16233.248.0.1 to 233.248.255.254233.248.255.25565,534
122233.249.0.0/16233.249.0.1 to 233.249.255.254233.249.255.25565,534
123233.250.0.0/16233.250.0.1 to 233.250.255.254233.250.255.25565,534
124233.251.0.0/16233.251.0.1 to 233.251.255.254233.251.255.25565,534
125233.252.0.0/16233.252.0.1 to 233.252.255.254233.252.255.25565,534
126233.253.0.0/16233.253.0.1 to 233.253.255.254233.253.255.25565,534
127233.254.0.0/16233.254.0.1 to 233.254.255.254233.254.255.25565,534
128233.255.0.0/16233.255.0.1 to 233.255.255.254233.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses